// Verify the fixes for issues 160 and 161.
#ifdef TEST_TEMPLATE
  char* fct1(char* val)
#else
  int fct1(int val)
#endif
{
   return val;
}

#ifdef TEST_TEMPLATE
  char* fct2(char* val)
#else
  int fct2(int val)
#endif
;

class Test {
public:
  static double (_STLP_CALL fct1)() _STLP_NOTHROW
   {
      _STLP_USING_VENDOR_CSTD return DBL_MAX;
   }
  static double (_STLP_CALL fct2)() _STLP_NOTHROW ;
};
